Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map
Class DbRelationshipDetected

    java.lang.Object
      org.apache.cayenne.map.Relationship
          org.apache.cayenne.map.DbRelationship
              org.apache.cayenne.map.DbRelationshipDetected

All Implemented Interfaces:
  java.io.Serializable, ConfigurationNode, CayenneMapEntry, XMLSerializable

    public class DbRelationshipDetected

extends DbRelationship

A subclass of `DbRelationship` to hold some extra runtime information.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.cayenne.map.DbRelationship
`joins, toDependentPK`

Fields inherited from class org.apache.cayenne.map.Relationship
`name, runtime, sourceEntity, targetEntityName, toMany`

Constructor Summary
`DbRelationshipDetected(java.lang.String uniqueRelName)`

Method Summary
`java.lang.String` | `getFkName()` Get the name of the underlying foreign key.
`void` | `setFkName(java.lang.String fkName)` Set the name of the underlying foreign key.

Methods inherited from class org.apache.cayenne.map.DbRelationship
`acceptVisitor, addJoin, createReverseRelationship, encodeAsXML, getJoins, getReverseRelationship, getSourceAttributes, getTargetAttributes, getTargetEntity, isFromPK, isMandatory, isToDependentPK, isToMasterPK, isToPK, isValidForDepPk, removeAllJoins, removeJoin, setJoins, setToDependentPK, setToMany, srcFkSnapshotWithTargetSnapshot, srcPkSnapshotWithTargetSnapshot, targetPkSnapshotWithSrcSnapshot`

Methods inherited from class org.apache.cayenne.map.Relationship
`getName, getParent, getSourceEntity, getTargetEntityName, isRuntime, isToMany, setName, setParent, setRuntime, setSourceEntity, setTargetEntity, setTargetEntityName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DbRelationshipDetected

    public DbRelationshipDetected(java.lang.String uniqueRelName)

Method Detail

### setFkName

    public void setFkName(java.lang.String fkName)

  Set the name of the underlying foreign key. Typically FK_NAME from jdbc metadata.

### getFkName

    public java.lang.String getFkName()

  Get the name of the underlying foreign key. Typically FK_NAME from jdbc metadata.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.